# RPM specfile for libart_lgpl module
# Generated Wed Aug 20 15:50:25 2003 GMT by Ximian build system
# $Id: bb_do,v 1.235.2.5 2003/07/31 17:23:29 thunder Exp $
# from $Id: ximian-build.conf,v 1.17 2003/07/16 16:45:52 mibarra Exp $

%define nam	libart_lgpl
%define ver	2.3.13
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	1

Name:     	libart_lgpl
Version: 	2.3.13
Release:	0.ximian.6.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 9 / i386
Copyright:	LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.gnome.org/
Source0:	libart_lgpl-2.3.13.tar.bz2
Summary:	Library of graphics routines
Group:		System Environment/Libraries
Provides:	ximian-libart_lgpl = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Conflicts:	libart_lgpl-devel < 2.3.13-0.ximian.6.1
Conflicts:	libart_lgpl-devel > 2.3.13-0.ximian.6.1

%description
Graphics routines used by the GnomeCanvas widget and some other
applications. libart renders vector paths and the like.

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING
/usr/lib/lib*.so.*


%post
ldconfig

%postun
ldconfig

%package -n libart_lgpl-devel
Summary:	Libraries and headers for libart_lgpl
Group:		Development/Libraries
Requires:	libart_lgpl = 2.3.13-0.ximian.6.1
Provides:	ximian-libart_lgpl-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n libart_lgpl-devel
Graphics routines used by the GnomeCanvas widget and some other
applications. libart renders vector paths and the like.

%files -n libart_lgpl-devel
%defattr(-, root, root)
/usr/bin/libart2-config
/usr/lib/pkgconfig/
/usr/lib/lib*.so
/usr/lib/*.a
/usr/include/*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n libart_lgpl-2.3.13
    ;;
all)
%setup  -q -n libart_lgpl-2.3.13
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} DESTDIR=${DESTDIR} install; rm -rf ${DESTDIR}/usr/lib/*.la
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Thu Aug 7 2003 Ximian, Inc.

- Version: 2.3.13-0.ximian.6.1
- Summary: New build.
- New automated build.

* Thu May 22 2003 Ximian, Inc.

- Version: 2.3.12-0.ximian.5.1
- Summary: New build.
- New automated build.

* Mon Apr 28 2003 Ximian, Inc.

- Version: 2.3.11-2.ximian.2
- Summary: New build.
- New automated build.

* Wed Aug 14 2002 Ximian, Inc.

- Version: 2.3.10-1.ximian.1
- Summary: New build.
- New automated build.

* Fri Jul 12 2002 Ximian, Inc.

- Version: 2.3.8-1.ximian.1
- Summary: New build.
- New automated build.

